Bug 112070 - H/W Acceleration sufficiently buggy on Debian to hard lock machine GeForce 7600 GO
Summary: H/W Acceleration sufficiently buggy on Debian to hard lock machine GeForce 76...
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) other
: not set critical
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-19 17:35 UTC by Doobz
Modified: 2019-10-28 10:31 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
logs (61.08 KB, text/plain)
2019-10-19 17:35 UTC, Doobz
no flags Details
Xorg.0.log (39.09 KB, text/x-log)
2019-10-19 17:46 UTC, Doobz
no flags Details
dmesg output from NV63 GF7100 desktop (62.98 KB, text/plain)
2019-10-22 15:54 UTC, Doobz
no flags Details
Backtrace glmark2 segfault nv4b mesa1836 (1.51 MB, text/plain)
2019-10-22 19:41 UTC, Doobz
no flags Details
dmesg from Acer5685 GeForce 7600GO, opensuse Mesa 19.1.7 (65.88 KB, text/plain)
2019-10-26 14:12 UTC, Doobz
no flags Details
dmesg from HP nvidia7100 opensuse mesa19.1.7 (54.42 KB, text/plain)
2019-10-26 14:31 UTC, Doobz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doobz 2019-10-19 17:35:40 UTC
Created attachment 145774 [details]
logs

So. I have big problems with nouveau driver or implementation of nouveau driver (by Debian). I emailed debian-x@lists.debian.org team but have heard nothing back.

Straight out the box, some graphical features do not work / are buggy / might hang the system - depending on which DE you use and what eye-candy it has enabled by default. XFCE/LXQT appear unaffected yet KDE Plasma is producing many graphical anomalies/artefacts and gdm did hang.

In every DE and version of Debian since Jessie, 360 degree videos (in browser) just display noise. This behaviour changes when using the proprietary 304xx nvidia driver, but the videos still do not function properly - though you do now see the correct video patchwork the 360deg video is generated from.

In trying to exercise this problem, I discovered glxgears works fine, yet glmark2 will always crash with a segmentation fault between tests 2 and 3. With nvidia driver installed, glmark2 fails to start at all and gives this :-
 

libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast
** GLX does not support GLX_EXT_swap_control or GLX_MESA_swap_control!
X Error of failed request: BadValue (integer parameter out of range for operation)
Major opcode of failed request: 155 (GLX)
Minor opcode of failed request: 24 (X_GLXCreateNewContext)
Value in failed request: 0x0
Serial number of failed request: 39
Current serial number in output stream: 40


Might be worth noting that after installation of the proprietary driver apt was reporting:-

ldconfig: /usr/lib/x86_64-linux-gnu/libGL.so.1 is not a symbolic link


I had a brief fling with Piglit. It crashed however. And when trying to use valgrind it looked like it was going to take over a day.

Attached are a Xorg.0.log (should module "nv" be being loaded?) and a dmesg output - both from a Debian Stretch install. I have concurrent installs of Buster and Wheezy I can fire up if it will help. 

The issue might not exist (or is different) in Wheezy. The 360 degree videos after a fresh install look like the other releases after the proprietary driver has been installed, ie I can see the patchwork video rather than just noise.
Comment 1 Ilia Mirkin 2019-10-19 17:42:02 UTC
You say lots of things here... what's the actual problem? That there are non-descript bugs in nouveau that can lead to hangs? That's not news.

Is there a specific thing you're trying to make work but doesn't? You mention that xfce works fine - use that. KDE / Gnome will never work with this hardware using nouveau without nuking GL (which you can do by sticking "export LIBGL_ALWAYS_SOFTWARE=1" into your /etc/profile and/or uninstalling nouveau_dri.so).
Comment 2 Doobz 2019-10-19 17:46:07 UTC
Created attachment 145775 [details]
Xorg.0.log
Comment 3 Doobz 2019-10-19 17:53:49 UTC
(In reply to Ilia Mirkin from comment #1)
> You say lots of things here... what's the actual problem? That there are
> non-descript bugs in nouveau that can lead to hangs? That's not news.
> 
> Is there a specific thing you're trying to make work but doesn't? You
> mention that xfce works fine - use that. KDE / Gnome will never work with
> this hardware using nouveau without nuking GL (which you can do by sticking
> "export LIBGL_ALWAYS_SOFTWARE=1" into your /etc/profile and/or uninstalling
> nouveau_dri.so).

I'd very much like to watch 360 degree videos.
Comment 4 Doobz 2019-10-19 17:59:54 UTC
It is a feature that used to work on the hardware, and now doesn't, and I have a hunch the reason for the proprietary driver not installing properly is related.
Comment 5 Ilia Mirkin 2019-10-19 18:28:23 UTC
(In reply to Doobz from comment #4)
> It is a feature that used to work on the hardware, and now doesn't, and I
> have a hunch the reason for the proprietary driver not installing properly
> is related.

Sorry, I have no idea what a 360 degree video is. Can you tell me more about how one might go about reproducing the issue?
Comment 6 Doobz 2019-10-19 18:37:23 UTC
(In reply to Ilia Mirkin from comment #5)
> (In reply to Doobz from comment #4)
> > It is a feature that used to work on the hardware, and now doesn't, and I
> > have a hunch the reason for the proprietary driver not installing properly
> > is related.
> 
> Sorry, I have no idea what a 360 degree video is. Can you tell me more about
> how one might go about reproducing the issue?

Videos you can rotate the viewing direction with the mouse while they play. Search 360 video on YouTube.
Comment 7 Ilia Mirkin 2019-10-19 19:31:53 UTC
(In reply to Doobz from comment #6)
> (In reply to Ilia Mirkin from comment #5)
> > (In reply to Doobz from comment #4)
> > > It is a feature that used to work on the hardware, and now doesn't, and I
> > > have a hunch the reason for the proprietary driver not installing properly
> > > is related.
> > 
> > Sorry, I have no idea what a 360 degree video is. Can you tell me more about
> > how one might go about reproducing the issue?
> 
> Videos you can rotate the viewing direction with the mouse while they play.
> Search 360 video on YouTube.

How are you playing these back? Chrome blacklists nouveau for accel, I doubt the nv4b you have provides high enough GL for firefox to do anything too useful...
Comment 8 Doobz 2019-10-19 19:44:17 UTC
(In reply to Ilia Mirkin from comment #7)
> (In reply to Doobz from comment #6)
> > (In reply to Ilia Mirkin from comment #5)
> > > (In reply to Doobz from comment #4)
> > > > It is a feature that used to work on the hardware, and now doesn't, and I
> > > > have a hunch the reason for the proprietary driver not installing properly
> > > > is related.
> > > 
> > > Sorry, I have no idea what a 360 degree video is. Can you tell me more about
> > > how one might go about reproducing the issue?
> > 
> > Videos you can rotate the viewing direction with the mouse while they play.
> > Search 360 video on YouTube.
> 
> How are you playing these back? Chrome blacklists nouveau for accel, I doubt
> the nv4b you have provides high enough GL for firefox to do anything too
> useful...

Just with the default browser. Firefox and maybe Iceweael.

I have a laptop with a GF 8200 gpu, and it does not exhibit this bug. I don't believe it has any h/w acceleration enabled tbh and didn't display a desktop after trying to install the 340xx driver, but that's probably a subject for a different bug report.
Comment 9 Doobz 2019-10-20 13:33:32 UTC
So I went ahead and installed Sabayon. Same behaviour - garbled 360 degree videos in Firefox.

I did try flipping layers.acceleration.disabled = true in about:config but it made no difference.


Does nouveau need any firmware for my card? I thought it didn't, but looking here it appears it might.
https://nouveau.freedesktop.org/wiki/VideoAcceleration/
Comment 10 Ilia Mirkin 2019-10-20 16:02:47 UTC
(In reply to Doobz from comment #9)
> Does nouveau need any firmware for my card? I thought it didn't, but looking
> here it appears it might.
> https://nouveau.freedesktop.org/wiki/VideoAcceleration/

It would need it for hypothetical VP1 support. However there is no software support for the VP1 decoding engine, and according to all reports, it didn't make anything actually faster (on Windows). The MPEG decoding engine should work fine (via XvMC ... IIRC VDPAU didn't quite work, and XvMC is a better match anyways).

This is all for accelerated video decoding, which is not in play for the videos you're talking about.
Comment 11 Doobz 2019-10-21 10:05:44 UTC
I don't know if you were able to deduce anything tangible from the valgrind log. It crossed my mind that glmark2 might by default not run on such old hardware.

Also, the 360 degree video could be a bug in Firefox, like you mentioned. I can download the garbled videos and watch successfully in vlc.
Comment 12 Doobz 2019-10-21 10:13:06 UTC
Though I struggle to imagine a bug in FF can manifest itself differently on different gpu architectures.
Comment 13 Doobz 2019-10-21 12:14:43 UTC
I didn't notice these in dmesg before

:~# dmesg | grep fail
[    0.701087] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.836978] pci 0000:01:00.0: BAR 6: failed to assign [mem size 0x00020000 pref]

And checking the desktop ( integrated GeForce 7100 ) I get

[ ..] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM

Same, but slightly different.
Comment 14 Doobz 2019-10-21 13:39:47 UTC
Ok, so there's this.
https://www.linuxquestions.org/questions/linux-kernel-70/kernel-fails-to-assign-memory-to-pcie-device-4175487043/

I don't know if you can tell, but I'm a little out of my depth here. ;)
Comment 15 Doobz 2019-10-21 18:42:27 UTC
Quick update:-

glmark2 runs fine on geforce 8200 laptop

But on the geforce 7100 (NV63) desktop it produces segmentation fault at same point as on my 7600GO laptop.

I can try to upgrade from mesa 18.3.6 to 19.2.1-1 if you think it's worth doing.
Comment 16 Ilia Mirkin 2019-10-21 18:46:30 UTC
(In reply to Doobz from comment #15)
> Quick update:-
> 
> glmark2 runs fine on geforce 8200 laptop

G80+ support for nouveau is markedly better than pre-G80 (aka GeForce 8000 is the cutoff). The hardware changed substantially for DX10, and has little in common with its DX9 predecessors.

> 
> But on the geforce 7100 (NV63) desktop it produces segmentation fault at
> same point as on my 7600GO laptop.
> 
> I can try to upgrade from mesa 18.3.6 to 19.2.1-1 if you think it's worth
> doing.

Depending on the issue, it may or may not be worth it. Is there a backtrace from the crash?
Comment 17 Doobz 2019-10-21 19:16:01 UTC
(In reply to Ilia Mirkin from comment #16)
> (In reply to Doobz from comment #15)
> > Quick update:-
> > 
> > glmark2 runs fine on geforce 8200 laptop
> 
> G80+ support for nouveau is markedly better than pre-G80 (aka GeForce 8000
> is the cutoff). The hardware changed substantially for DX10, and has little
> in common with its DX9 predecessors.
> 
> > 
> > But on the geforce 7100 (NV63) desktop it produces segmentation fault at
> > same point as on my 7600GO laptop.
> > 
> > I can try to upgrade from mesa 18.3.6 to 19.2.1-1 if you think it's worth
> > doing.
> 
> Depending on the issue, it may or may not be worth it. Is there a backtrace
> from the crash?

Are backtraces (only) produced if "core dumped" is reported? If so then probably not..

Can look into getting one if it's possible.
Comment 18 Ilia Mirkin 2019-10-21 19:32:40 UTC
I mean like run glmark in gdb, and when it crashes, do a "bt". Make sure you have symbols available.
Comment 19 Doobz 2019-10-22 15:51:41 UTC
Not managed to do the backtrace yet, but thought I'd attach dmesg from 7100-based desktop. Had it sitting cycling gl screensavers for a while.

Lots of these:-
[   45.639455] nouveau 0000:00:10.0: bus: MMIO write of 00540001 FAULT at 00b000

And some of these:-
[  825.282398] perf: interrupt took too long (5006 > 4996), lowering kernel.perf_event_max_sample_rate to 39750

In other news, same machine hard locked as soon as I tried to play an local video file.
Comment 20 Doobz 2019-10-22 15:54:29 UTC
Created attachment 145794 [details]
dmesg output from NV63 GF7100 desktop
Comment 21 Ilia Mirkin 2019-10-22 16:07:18 UTC
b000 range is the media range. Just remove dri/libvdpau_nouveau.so -- I'm sure that's not helping. And any similar va-api thing.
Comment 22 Doobz 2019-10-22 19:41:04 UTC
Created attachment 145795 [details]
Backtrace glmark2 segfault nv4b mesa1836

Let me know if I messed up. And thanks for taking the time to look into this.
Comment 23 Ilia Mirkin 2019-10-22 19:51:44 UTC
Looks like a crash in glmark2 itself. Probably some unexpected condition...
Comment 24 Doobz 2019-10-26 14:06:28 UTC
Turns out opensuse tumbleweed has mesa 19.1.7 and a packaged glmark2

Framerate much slower than on previous kernel/mesa. Only getting ~130 vs >200 previously.

Identical graphical glitch on laptop and desktop with Suse Welcome window.

The only shared dmesg oddities are
[    0.202564] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM

[            ] acpi PNP0A08:00: _OSC failed (AE_SUPPORT); disabling ASPM

..and the hpet warnings on both of them

[ 1670.140263] CE: hpet increased min_delta_ns to 30172 nsec

I will attach both suse dmesg logs.
Comment 25 Doobz 2019-10-26 14:12:18 UTC
Created attachment 145823 [details]
dmesg from Acer5685 GeForce 7600GO, opensuse Mesa 19.1.7
Comment 26 Doobz 2019-10-26 14:31:35 UTC
Created attachment 145824 [details]
dmesg from HP nvidia7100 opensuse mesa19.1.7
Comment 27 Doobz 2019-10-26 17:26:37 UTC
I've been looking at the interrupts, and pretty sure something is amiss. nvkm does tick away quite rapidly 50+/sec, but it's by no means the worst.

cat /proc/interrupts 
           CPU0       CPU1       
  0:     884041          0   IO-APIC   2-edge      timer
  1:        943          0   IO-APIC   1-edge      i8042
  8:          0          1   IO-APIC   8-edge      rtc0
  9:          0      71944   IO-APIC   9-fasteoi   acpi
 12:          0     407479   IO-APIC  12-edge      i8042
 14:      15003          0   IO-APIC  14-edge      ata_piix
 15:          0          0   IO-APIC  15-edge      ata_piix
 16:       4422          0   IO-APIC  16-fasteoi   yenta, uhci_hcd:usb5
 17:          0          0   IO-APIC  17-fasteoi   mmc0, mmc1
 18:          0        184   IO-APIC  18-fasteoi   uhci_hcd:usb4
 19:          0          0   IO-APIC  19-fasteoi   uhci_hcd:usb3, i801_smbus
 20:          0          2   IO-APIC  20-fasteoi   firewire_ohci
 23:          0          3   IO-APIC  23-fasteoi   uhci_hcd:usb1, ehci_hcd:usb2
 29:      89581      51828   PCI-MSI 524288-edge      nvkm
 30:          0        518   PCI-MSI 442368-edge      snd_hda_intel:card0
 31:      54496      31631   PCI-MSI 2621440-edge      iwl3945
 32:          0          3   PCI-MSI 2097152-edge      enp4s0
NMI:          7          8   Non-maskable interrupts
LOC:     117697     732513   Local timer interrupts
SPU:          0          0   Spurious interrupts
PMI:          7          8   Performance monitoring interrupts
IWI:     157032     144987   IRQ work interrupts
RTR:          0          0   APIC ICR read retries
RES:      99916     105307   Rescheduling interrupts
CAL:      43819      44884   Function call interrupts
TLB:      93370      93058   TLB shootdowns
TRM:          0          0   Thermal event interrupts
THR:          0          0   Threshold APIC interrupts
DFR:          0          0   Deferred Error APIC interrupts
MCE:          0          0   Machine check exceptions
MCP:          9          9   Machine check polls

This was after 45mins.

I was chasing interrupt issues on windows on this laptop. Never got it sussed. It was fine in safe mode, but not booted normally.

Looking at the desktop(hp gf7100), it has no massive number on line 0 timer, and no acpi ones either. Nvkm is ticking at similar rate to laptop, but there is one line going up faster. Ill leave it on for a similar time and post it here for comparison.
Comment 28 Doobz 2019-10-26 18:21:47 UTC
> cat /proc/interrupts 
           CPU0       CPU1       
  0:          8          0   IO-APIC   2-edge      timer
  1:          0        438   IO-APIC   1-edge      i8042
  8:          1          0   IO-APIC   8-edge      rtc0
  9:          0          0   IO-APIC   9-fasteoi   acpi
 12:     161488          0   IO-APIC  12-edge      i8042
 14:          0          0   IO-APIC  14-edge      pata_amd
 15:          0          0   IO-APIC  15-edge      pata_amd
 19:          0          2   IO-APIC  19-fasteoi   firewire_ohci
 20:      92448          0   IO-APIC  20-fasteoi   nvkm
 21:          0       9323   IO-APIC  21-fasteoi   ahci[0000:00:0e.0]
 22:     143237          0   IO-APIC  22-fasteoi   ehci_hcd:usb1, snd_hda_intel:card0
 23:          0          0   IO-APIC  23-fasteoi   ohci_hcd:usb2
 27:        803       2879   PCI-MSI 245760-edge      enp0s15
NMI:        124        113   Non-maskable interrupts
LOC:     426946     389908   Local timer interrupts
SPU:          0          0   Spurious interrupts
PMI:        124        113   Performance monitoring interrupts
IWI:     148823     138382   IRQ work interrupts
RTR:          0          0   APIC ICR read retries
RES:       6984       6476   Rescheduling interrupts
CAL:       2349       1588   Function call interrupts
TLB:        565        358   TLB shootdowns
TRM:          0          0   Thermal event interrupts
THR:          0          0   Threshold APIC interrupts
DFR:          0          0   Deferred Error APIC interrupts
MCE:          0          0   Machine check exceptions
MCP:         10         10   Machine check polls
HYP:          0          0   Hypervisor callback interrupts
HRE:          0          0   Hyper-V reenlightenment interrupts
HVS:          0          0   Hyper-V stimer0 interrupts
ERR:          1

Given that there's no usb devices plugged in I'm a little suspicious of
22:     143237          0   IO-APIC  22-fasteoi   ehci_hcd:usb1,
Comment 29 Doobz 2019-10-27 12:04:22 UTC
So..

My laptop's interrupt issues disappear when booting with acpi=off. So did nouveau however. Have tried a few other boot parameters, including acpi_apic_instance=2 as suggested in dmesg, but no joy.

Could these ACPI warnings be hinting at something? 

[   20.414011] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[   20.416862] ACPI Warning: SystemIO range 0x0000000000001028-0x000000000000102F conflicts with OpRegion 0x0000000000001000-0x000000000000107F (\PMIO) (20190703/utaddress-204)
[   20.416870] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   20.416873] ACPI Warning: SystemIO range 0x00000000000011B0-0x00000000000011BF conflicts with OpRegion 0x0000000000001180-0x00000000000011BB (\GPIO) (20190703/utaddress-204)
[   20.416878] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   20.416879] ACPI Warning: SystemIO range 0x0000000000001180-0x00000000000011AF conflicts with OpRegion 0x0000000000001180-0x00000000000011BB (\GPIO) (20190703/utaddress-204)
[   20.416883] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   20.416884] lpc_ich: Resource conflict(s) found affecting gpio_ich
Comment 30 Doobz 2019-10-27 12:37:08 UTC
Sorry to spam, but I did notice partially visible text in the garbled stuff FF was displaying instead of video. Like there is some memory overlap/confusion somewhere.
Comment 31 Doobz 2019-10-27 13:27:11 UTC
Some good news - irq 0 timer interrupts fixed by booting with processor.nocst=1
Comment 32 Doobz 2019-10-28 10:31:35 UTC
..and the acpi ones with acpi_mask_gre=0x19. There's a bunch of other one's to try when I'm bored.. :)

Back to the 360 degree vid thing, On a fresh boot into debian, the mess coming out of Firefox included the bottom half of what appeared to be a suse filebrowser window I had open the day before!

I only just remembered to look in .xsession.errors. It is indeed logged there along with some others.

Cleaned up .xsessions from fresh suse tumbleweed on NV63 :-

/usr/bin/iceauth:  creating new authority file /run/user/1000/ICEauthority

(xfce4-session:1436): xfce4-session-WARNING **: 09:47:57.705: xfsm_manager_load_session: Something wrong with /home/doobz/.cache/sessions/xfce4-session-debian:0, Does it exist? Permissions issue?
gnome-keyring-daemon: insufficient process capabilities, insecure memory might get used
** Message: 09:47:57.797: couldn't access control socket: /run/user/1000/keyring/control: No such file or directory

(xfsettingsd:1522): xfsettingsd-WARNING **: 09:48:05.059: Property "/Gdk/WindowScalingFactor" has an unsupported type "guint".

** (wrapper-2.0:1545): WARNING **: 09:48:06.348: No outputs have backlight property

(wrapper-2.0:1550): GLib-GIO-CRITICAL **: 09:48:06.704: g_file_new_for_path: assertion 'path != NULL' failed

(wrapper-2.0:1550): GLib-GIO-CRITICAL **: 09:48:06.704: g_file_monitor_file: assertion 'G_IS_FILE (file)' failed

(wrapper-2.0:1550): GLib-GObject-WARNING **: 09:48:06.704: invalid (NULL) pointer instance

(wrapper-2.0:1550): GLib-GObject-CRITICAL **: 09:48:06.705: g_signal_connect_data: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(wrapper-2.0:1550): Gtk-WARNING **: 09:48:06.705: Attempting to add a widget with type GtkToggleButton to a container of type XfcePanelPlugin, but the widget is already inside a container of type XfcePanelPlugin, please remove the widget from its existing container first.
gnome-keyring-daemon: insufficient process capabilities, insecure memory might get used

(wrapper-2.0:1543): Gtk-WARNING **: 09:48:16.508: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner GtkToggleButton)

(wrapper-2.0:1545): Gtk-WARNING **: 09:48:16.801: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner PowerManagerButton)

(wrapper-2.0:1544): Gtk-WARNING **: 09:48:16.810: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner PulseaudioButton)

(wrapper-2.0:1550): Gtk-WARNING **: 09:48:16.822: Negative content width -3 (allocation 1, extents 2x2) while allocating gadget (node button, owner GtkToggleButton)
gnome-keyring-daemon: insufficient process capabilities, insecure memory might get used
[Child 2152, MediaDecoderStateMachine #1] WARNING: Decoder=7f3103930800 Decode error: NS_ERROR_DOM_MEDIA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /home/abuild/rpmbuild/BUILD/firefox-69.0.3/dom/media/MediaDecoderStateMachine.cpp, line 3309
[Child 2152, MediaDecoderStateMachine #1] WARNING: Decoder=7f310IA_FATAL_ERR (0x806e0005) - RefPtr<mozilla::MozPromise<RefPtr<mozilla::MediaTrackDemuxer::SamplesHolder>, mozilla::MediaResult, true> > mozilla::MediaSourceTrackDemuxer::DoGetSamples(int32_t): manager is detached.: file /home/abuild/rpmbuild/BUILD/firefox-69.0.3/dom/media/MediaDecoderStateMachine.cpp, line 3309

[Parent 1979, Gecko_IOThread] WARNING: pipe error (61): Connection reset by peer: file /home/abuild/rpmbuild/BUILD/firefox-69.0.3/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 358
Invalid MIT-MAGIC-COOKIE-1 keyInvalid MIT-MAGIC-COOKIE-1 key


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.